package es.kauron.jstudy.controller;

import com.jfoenix.controls.JFXCheckBox;
import es.kauron.jstudy.model.AppConfig;
import javafx.fxml.FXML;
import javafx.fxml.Initializable;

import java.net.URL;
import java.util.ResourceBundle;

public class SettingsController implements Initializable {
    @FXML
    private JFXCheckBox repeatMistakes, showFeedback;

    @Override
    public void initialize(URL location, ResourceBundle resources) {
        repeatMistakes.setSelected(AppConfig.repeatWrong);
        repeatMistakes.selectedProperty().addListener((observable, old, value) -> AppConfig.repeatWrong = value);
        showFeedback.setSelected(AppConfig.showFeedback);
        showFeedback.selectedProperty().addListener((observable, old, value) -> AppConfig.showFeedback = value);
    }


}
